---
title: Node.getUserData()
slug: Web/API/Node/getUserData
tags:
  - API
  - DOM
  - Method
  - Node
  - Obsolete
  - Reference
---
<div>{{APIRef("DOM")}}{{obsolete_header}}</div>

<p>The <code><strong>Node.getUserData()</strong></code> method returns any user {{domxref("DOMUserData")}} set previously on the given node by {{domxref("Node.setUserData()")}}.</p>

<div class="note">
<p>The <code>Node.setUserData</code> and {{domxref("Node.getUserData")}} methods are no longer available from Web content. {{domxref("Element.dataset")}} or <a href="/en-US/docs/JavaScript/Reference/Global_Objects/WeakMap"><code>WeakMap</code></a> can be used instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>userData</em> = <em>someNode</em>.getUserData(<em>userKey</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>userKey</code> is the key to choose the specific data sought for the given node. More than one key may have been assigned on a given node, containing its own value.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js">var d = document.setUserData('key', 15, null);
console.log(document.getUserData('key')); // 15</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM3 Core', 'core.html#Node3-getUserData', 'Node.getUserData()')}}</td>
   <td>{{Spec2('DOM3 Core')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Node.getUserData")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Node.setUserData()")}}</li>
 <li>{{domxref("UserDataHandler")}}</li>
 <li>{{domxref("DOMUserData")}}</li>
</ul>
